WordPress无法使用自动更新,提示填写FTP信息的解决方法

据很多使用者反映wordpress提示升级时,点“自动升级”出现填写FTP信息的页面,像我们这些用LNMP的很多都不安装FTP服务器。其实出现这个的问题就是Nginx的执行身份非文件属主身份。

解决方法:

假设你的wordpress安装目录为/home/wwwroot/xufengli.com
用Putty登录Linux VPS,执行:chown -R www /home/wwwroot/xufengli.com

执行上面的命令就可以将/home/wwwroot/xufengli.com下所有文件的属主改为www,这样就可以解决自动更新必须填FTP的问题。

您对本文的评分:
当前平均分: 0.0(0 次打分)

评论:


2012-01-10 12:27
我的博客不是VPS的,是虚拟主机也出现这个问题,该怎么办?
望风的鸟
2012-11-18 20:11
@巢:FTP设置权限

Post a Comment

Type your comment out: